close all;
clear all;
clc;

N = 500;
A = randn(N);
Displ = groot();
SCW = Displ.ScreenSize(3);
SCH = Displ.ScreenSize(4);
FiW = 1080;
FiH = 720;

H = HauseholderTriang(A);
figure('name','Hauseholder Transformation','position',[SCW/2-FiW/2,SCH/2-FiH/2,FiW,FiH]);
II = imagesc(abs(H));
set(gca,'xtick',[])
set(gca,'xticklabel',[])
set(gca,'ytick',[])
set(gca,'yticklabel',[])
colormap hot;
